/*				**** GEN STUFF ****
 *
 * This program generates test files for getinfo
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "stuff.h"

int main(int argc, char *argv[])
{
	char buf[BUFSIZ+1];
   FILE *fp;
   int fchar, lnum, fnum, p1num, p2num, p3num;
   int i, nents=1000;

   printf("Enter output file name: ");
   gets(buf);
   if ((fp = fopen(buf, "w")) == NULL)
   {
   	printf("Can't open output file (%s)\n", buf);
      exit(1);
   }
   printf("Enter number of records (%d): ", nents);
   gets(buf);
   if (*buf != '\0') nents = atoi(buf);

   randomize();	/* seed random number generator */
   for (i=1; i <= nents; i++)
   {
   	fchar = (rand() % 26) + 'A';
   	lnum = rand() % 10;
      fnum = rand() % 10;
      p1num = rand() % 1000;
      if (p1num < 100) p1num += 100;
      p2num = rand() % 1000;
      if (p2num < 100) p2num += 100;
      p3num = rand() % 10000;
      fprintf(fp, "%d|%clname%d|fname%d|%3.3d-%3.3d-%4.4d\n",
      	i, fchar, lnum, fnum, p1num, p2num, p3num);
   }
	fclose(fp);
   return 0;
}

