/*
 *                **** LINKED LIST HEADER ****
 *
 * This is the header file for a generic linked list
 *
 */

#ifndef LINKED_LIST_INC
#define LINKED_LIST_INC

typedef struct linkedlist {	/* generic linked list */
  struct linkedlist *next;	/* pointer to next entry */
  struct linkedlist *prev;	/* pointer to previous entry */
  void *data;			/* pointer to data */
} Link;

typedef struct linkeddef {
  Link *head;			/* pointer to head of linked list */
  Link *tail;			/* pointer to tail of linked list */
  Link *current;		/* pointer to current entry */
} LinkList;

#define return_link_data(link) ((link)->data)

#include "linklist.pro"

#endif
